<?php

namespace app\admin\controller\user;

use app\common\controller\Backend;
use think\Db;
/**
 * 会员管理
 *
 * @icon fa fa-user
 */
class User extends Backend
{

    protected $relationSearch = true;
    protected $searchFields = 'id,username,nickname';

    /**
     * User模型对象
     * @var \app\admin\model\User
     */
    protected $model = null;

    public function _initialize()
    {
        parent::_initialize();
        $this->model = new \app\admin\model\User;
        $this->view->assign("genderList", $this->model->getGenderList());
        $this->view->assign("statusList", $this->model->getStatusList());
        $this->view->assign("idcardStatusList", $this->model->getIdcardStatusList());
        $this->view->assign("comefromList", $this->model->getComefromList());
    }



    /**
     * 默认生成的控制器所继承的父类中有index/add/edit/del/multi五个基础方法、destroy/restore/recyclebin三个回收站方法
     * 因此在当前控制器中可不用编写增删改查的代码,除非需要自己控制这部分逻辑
     * 需要将application/admin/library/traits/Backend.php中对应的方法复制到当前控制器,然后进行修改
     */


    /**
     * 查看
     */
    public function index()
    {
        //当前是否为关联查询
        $this->relationSearch = true;
        //设置过滤方法
        $this->request->filter(['strip_tags', 'trim']);
        if ($this->request->isAjax()) {
            //如果发送的来源是Selectpage，则转发到Selectpage
            if ($this->request->request('keyField')) {
                return $this->selectpage();
            }
            list($where, $sort, $order, $offset, $limit) = $this->buildparams();

            $list = $this->model
                    ->with(['wallet'])
                    ->where($where)
                    ->order($sort, $order)
                    ->paginate($limit);

            foreach ($list as $row) {
                
                $row->getRelation('wallet')->visible(['money']);
            }

            $result = array("total" => $list->total(), "rows" => $list->items());

            return json($result);
        }
        return $this->view->fetch();
    }

    /**
     * 充值余额
     */
    public function updatemoney(){
        $user_id = input('user_id');
        $info = Db::name('user_wallet')
            ->where('user_id',$user_id)
            ->find();

        if ($this->request->isPost()) {

            $user_id = input('user_id');
            $money = input('money');
            $remark = input('remark','后台调节');

            Db::startTrans();

            $rs = model('wallet')->lockChangeAccountRemain($user_id,'money',$money,1,$remark);
            if($rs['status'] === false){
                Db::rollback();
                $this->error($rs['msg']);
            }

            Db::commit();
            $this->success('充值完成');
        }

        $this->assign('row',$info);
        return $this->view->fetch();
    }

}
