define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'doctorbank/index' + location.search,
                    add_url: 'doctorbank/add',
                    edit_url: 'doctorbank/edit',
                    del_url: 'doctorbank/del',
                    multi_url: 'doctorbank/multi',
                    import_url: 'doctorbank/import',
                    table: 'doctor_bank',
                }
            });

            var table = $("#table");

            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'id',
                sortName: 'id',
                columns: [
                    [
//                        {checkbox: true},
//                        {field: 'id', title: __('Id')},
                        {field: 'doctor_id', title: __('Doctor_id')},
                        {field: 'doctor.avatar', title: __('Doctor.avatar'), operate: 'LIKE', events: Table.api.events.image, formatter: Table.api.formatter.image},
                        {field: 'doctor.mobile', title: __('Doctor.mobile'), operate: 'LIKE'},

                        {field: 'realname', title: __('Realname'), operate: 'LIKE'},
                        {field: 'bank_no', title: __('Bank_no'), operate: 'LIKE', table: table, class: 'autocontent', formatter: Table.api.formatter.content},
                        {field: 'open_bank', title: __('Open_bank'), operate: 'LIKE'},
                        {field: 'operate', title: __('Operate'), table: table, events: Table.api.events.operate, formatter: Table.api.formatter.operate}
                    ]
                ]
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.bindevent();
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            }
        }
    };
    return Controller;
});
