define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'doctorinfo/index' + location.search,
                    add_url: 'doctorinfo/add',
                    edit_url: 'doctorinfo/edit',
//                    del_url: 'doctorinfo/del',
                    multi_url: 'doctorinfo/multi',
                    import_url: 'doctorinfo/import',
                    table: 'doctor_info',
                }
            });

            var table = $("#table");

            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'id',
                sortName: 'id',
                columns: [
                    [
//                        {checkbox: true},
//                        {field: 'id', title: __('Id')},
                        {field: 'doctor_id', title: __('Doctor_id')},
                        {field: 'doctor.avatar', title: __('Doctor.avatar'), operate: 'LIKE', events: Table.api.events.image, formatter: Table.api.formatter.image},
                        {field: 'doctor.mobile', title: __('Doctor.mobile'), operate: 'LIKE'},

                        {field: 'typing_switch', title: __('Typing_switch'), searchList: {"0":__('Typing_switch 0'),"1":__('Typing_switch 1')}, table: table, formatter: Table.api.formatter.toggle},
                        {field: 'video_switch', title: __('Video_switch'), searchList: {"0":__('Video_switch 0'),"1":__('Video_switch 1')}, table: table, formatter: Table.api.formatter.toggle},
                        {field: 'typing_price', title: __('Typing_price'), operate:'BETWEEN'},
                        {field: 'video_price', title: __('Video_price'), operate:'BETWEEN'},
                        {field: 'notice_switch', title: __('Notice_switch'), searchList: {"0":__('Notice_switch 0'),"1":__('Notice_switch 1')}, table: table, formatter: Table.api.formatter.toggle},
                        {field: 'operate', title: __('Operate'), table: table, events: Table.api.events.operate, formatter: Table.api.formatter.operate}
                    ]
                ]
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.bindevent();
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            }
        }
    };
    return Controller;
});
