define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'doctormoneylog/index' + location.search,
                    add_url: 'doctormoneylog/add',
                    edit_url: 'doctormoneylog/edit',
                    del_url: 'doctormoneylog/del',
                    multi_url: 'doctormoneylog/multi',
                    import_url: 'doctormoneylog/import',
                    table: 'doctor_money_log',
                }
            });

            var table = $("#table");

            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'id',
                sortName: 'id',
                fixedColumns: true,
                fixedRightNumber: 1,
                columns: [
                    [
//                        {checkbox: true},
                        {field: 'id', title: __('Id')},
                        {field: 'doctor_id', title: __('Doctor_id')},
                        {field: 'doctor.avatar', title: __('Doctor.avatar'), operate: 'LIKE', events: Table.api.events.image, formatter: Table.api.formatter.image},
                        {field: 'doctor.mobile', title: __('Doctor.mobile'), operate: 'LIKE'},

//                        {field: 'log_type', title: __('Log_type')},
                        {field: 'log_type_text', title: __('Log_type'),operate:false},
                        {field: 'before', title: __('Before'), operate:'BETWEEN'},
                        {field: 'change_value', title: __('Change_value'), operate:'BETWEEN'},
                        {field: 'remain', title: __('Remain'), operate:'BETWEEN'},
//                        {field: 'table', title: __('Table'), operate: 'LIKE', table: table, class: 'autocontent', formatter: Table.api.formatter.content},
//                        {field: 'table_id', title: __('Table_id')},
                        {field: 'remark', title: __('Remark'), operate: 'LIKE', table: table, class: 'autocontent', formatter: Table.api.formatter.content},
                        {field: 'createtime', title: __('Createtime'), operate:'RANGE', addclass:'datetimerange', autocomplete:false, formatter: Table.api.formatter.datetime},
                        {field: 'updatetime', title: __('Updatetime'), operate:'RANGE', addclass:'datetimerange', autocomplete:false, formatter: Table.api.formatter.datetime},
//                        {field: 'operate', title: __('Operate'), table: table, events: Table.api.events.operate, formatter: Table.api.formatter.operate}
                    ]
                ]
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.bindevent();
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            }
        }
    };
    return Controller;
});
