define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'wenzhenordermenber/index' + location.search,
                    add_url: 'wenzhenordermenber/add',
                    edit_url: 'wenzhenordermenber/edit',
                    del_url: 'wenzhenordermenber/del',
                    multi_url: 'wenzhenordermenber/multi',
                    import_url: 'wenzhenordermenber/import',
                    table: 'wenzhen_order_member',
                }
            });

            var table = $("#table");

            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'id',
                sortName: 'id',
                fixedColumns: true,
                fixedRightNumber: 1,
                columns: [
                    [
//                        {checkbox: true},
//                        {field: 'id', title: __('Id')},
                        {field: 'order_id', title: __('Order_id')},
                        {field: 'order.order_no', title: __('Order.order_no'), operate: 'LIKE', table: table, class: 'autocontent', formatter: Table.api.formatter.content},

                        {field: 'user_id', title: __('User_id')},
                        {field: 'realname', title: __('Realname'), operate: 'LIKE', table: table, class: 'autocontent', formatter: Table.api.formatter.content},
                        {field: 'idcard', title: __('Idcard'), operate: 'LIKE', table: table, class: 'autocontent', formatter: Table.api.formatter.content},
                        {field: 'relation', title: __('Relation'), operate: 'LIKE', table: table, class: 'autocontent', formatter: Table.api.formatter.content},
                        {field: 'mobile', title: __('Mobile'), operate: 'LIKE', table: table, class: 'autocontent', formatter: Table.api.formatter.content},
                        {field: 'gender', title: __('Gender'), searchList: {"1":__('Gender 1'),"0":__('Gender 0')}, formatter: Table.api.formatter.normal},
                        {field: 'birthday', title: __('Birthday')},
                        {field: 'marital_status', title: __('Marital_status'), searchList: {"1":__('Marital_status 1'),"0":__('Marital_status 0')}, formatter: Table.api.formatter.status},
                        {field: 'allergies_status', title: __('Allergies_status'), searchList: {"1":__('Allergies_status 1'),"0":__('Allergies_status 0')}, formatter: Table.api.formatter.status},
                        {field: 'allergies_text', title: __('Allergies_text'), operate: 'LIKE', table: table, class: 'autocontent', formatter: Table.api.formatter.content},
                        {field: 'familymedical_status', title: __('Familymedical_status'), searchList: {"1":__('Familymedical_status 1'),"0":__('Familymedical_status 0')}, formatter: Table.api.formatter.status},
                        {field: 'familymedical_text', title: __('Familymedical_text'), operate: 'LIKE', table: table, class: 'autocontent', formatter: Table.api.formatter.content},
                        {field: 'chronicdisease_status', title: __('Chronicdisease_status'), searchList: {"1":__('Chronicdisease_status 1'),"0":__('Chronicdisease_status 0')}, formatter: Table.api.formatter.status},
                        {field: 'chronicdisease_text', title: __('Chronicdisease_text'), operate: 'LIKE', table: table, class: 'autocontent', formatter: Table.api.formatter.content},

//                        {field: 'member_id', title: __('Member_id')},
//                        {field: 'operate', title: __('Operate'), table: table, events: Table.api.events.operate, formatter: Table.api.formatter.operate}
                    ]
                ]
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.bindevent();
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            }
        }
    };
    return Controller;
});
